# BEGIN COPYRIGHT BLOCK
# This Program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 2 of the License.
# 
# This Program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.
# 
# 
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# END COPYRIGHT BLOCK
# 
# dsgwsearchprefs.conf - directory server gateway search object definitions


# the current version of this file format is 1
Version 1


# Name for this search object
People
# options (the only one supported right now is "internal" which means that
#   this search object should not be presented directly to the user)
#   use "" for none
""
# Label to place before text box user types in
"Suchen nach:"
# Filter prefix to append to all searches
"(&(objectClass=person)"
# Tag to use for "Fewer Choices" searches - from ldapfilter.conf file
"dsgw-people"
# If a search results in > 1 match, retrieve this attribute to help
# user disambiguate the entries...
not-used-by-dsgw
# ...and label it with this string:
not-used-by-dsgw
# Search scope to use when searching
subtree
# Follows a list of "More Choices" search options.  Format is:
# Label, attribute, select-bitmap, extra attr display name, extra attr ldap name
# If last two are null, "Fewer Choices" name/attributes used.
# Label should begin with the article ("the" in English) for
# languages that require agreement between article and noun
# (e.g genders in Spanish or French).

"Vollständiger Name"         cn                 111111  ""  ""
"Nachname"                   	sn                 111111  ""  ""
"Telefon"                  	"telephoneNumber"  111011  ""  ""
"E-Mail-Adresse"           	"mail"             111111  ""  ""
"Benutzer-ID"              	"uid"              111111  ""  ""
"Titel"                     	title              111111 "" ""
END
# Match types
"ist"               		"(%a=%v))"
"ist nicht"               	"(!(%a=%v)))"
"Mit Mustervergleich" 		  "(%a~=%v))"
"beginnt mit"                   "(%a=%v*))"
"endet mit"                     "(%a=*%v))"
"enthält"               	  "(%a=*%v*))"
END


"NT-People"
""
"Suchen nach:"
"(&(objectClass=ntuser)"
"dsgw-ntpeople"
not-used-by-dsgw
not-used-by-dsgw
subtree
"Vollständiger Name"   	cn                 111111  ""  ""
"Nachname"                   	sn                 111111  ""  ""
"Telefon"                  	"telephoneNumber"  111011  ""  ""
"E-Mail-Adresse"            	"mail"             111111  ""  ""
"Benutzer-ID:"              	"uid"              111111  ""  ""
"Titel"                      	title              111111 "" ""
"NT-Benutzername"            	"ntuserdomainid"   110000 "" ""
"NT-Domäne"            	"ntuserdomainid"   101000 "" ""
"NT-Anmelde-Server:"         	"ntuserlogonserver" 111111 "" ""
END
"ist"               		"(%a=%v))"
"ist nicht"               	"(!(%a=%v)))"
"Mit Mustervergleich" 		  "(%a~=%v))"
"beginnt mit"                   "(%a=%v*))"
"endet mit"                     "(%a=*%v))"
"enthält"             	  "(%a=*%v*))"
END


Groups
""
"Suchen nach:"
"(&(|(objectClass=rfc822MailGroup)(objectClass=groupOfNames)(objectClass=groupOfUniqueNames)(objectClass=groupOfCertificates))"
"dsgw-groups"
not-used-by-dsgw
not-used-by-dsgw
subtree
"Name"  	                cn                    111111  ""       ""
"Beschreibung:"                   description  	      111111  ""       ""
"Besitzer (DN)"                   "owner"             000011  "owner"  "Owner"
"Mitglied (DN)"                   "uniquemember"      000011  ""       ""
END
"ist"                             "(%a=%v))"
"ist nicht"                       "(!(%a=%v)))"
"Mit Mustervergleich"		    "(%a~=%v))"
"beginnt mit"                     "(%a=%v*))"
"endet mit"                       "(%a=*%v))"
"enthält"		                "(%a=*%v*))"
END

NT-Groups
""
"Suchen nach:"
"(&(objectClass=ntGroup)"
"dsgw-ntgroups"
not-used-by-dsgw
not-used-by-dsgw
subtree
"Name"  	                cn                    111111  ""       ""
"NT-Domäne"                 "ntgroupdomainid"   110000 "" ""
"NT-Gruppenname:"               "ntgroupdomainid"   101000 "" ""
"Beschreibung:"                 description  	      111111  ""       ""
"Besitzer (DN)"                 "owner"             000011  "owner"  "Owner"
"Mitglied (DN)"                 "uniquemember"      000011  ""       ""
END
"ist"                           "(%a=%v))"
"ist nicht"                     "(!(%a=%v)))"
"Mit Mustervergleich"		  "(%a~=%v))"
"beginnt mit"                   "(%a=%v*))"
"endet mit"                     "(%a=*%v))"
"enthält"                  "(%a=*%v*))"
END


Organizations
""
"Suchen nach:"
"(&(objectClass=organization)"
"dsgw-organizations"
not-used-by-dsgw
not-used-by-dsgw
subtree
"Name"                          o			111111  ""       ""
"Standort:"                     l			111111  ""       ""
"Telefon"                  	  telephoneNumber		111011  ""       ""
"Beschreibung:"                 description		111011  ""       ""
END
"ist"               		"(%a=%v))"
"ist nicht"               	"(!(%a=%v)))"
"Mit Mustervergleich" 		  "(%a~=%v))"
"beginnt mit"                   "(%a=%v*))"
"endet mit"                     "(%a=*%v))"
"enthält"              	  "(%a=*%v*))"
END


"Org-Units"
""
"Suchen nach:"
"(&(objectClass=organizationalUnit)"
"dsgw-orgunits"
not-used-by-dsgw
not-used-by-dsgw
subtree
"Name"                          ou			111111  ""       ""
"Standort:"                     l			111111  ""       ""
"Telefon"                  	  telephoneNumber		111011  ""       ""
"Beschreibung:"             	  description		111011  ""       ""
END
"ist"               		"(%a=%v))"
"ist nicht"               	"(!(%a=%v)))"
"Mit Mustervergleich" 	 	  "(%a~=%v))"
"beginnt mit"                   "(%a=%v*))"
"endet mit"                     "(%a=*%v))"
"enthält"               	  "(%a=*%v*))"
END

Anything
""
"Suchen nach:"
""
"dsgw-anything"
not-used-by-dsgw
not-used-by-dsgw
subtree
"Allg. Name:" 	                cn                    111111  ""       ""
"Beschreibung:"                 description           111111  ""       ""
END
"ist"               		"(%a=%v)"
"ist nicht"               	"(!(%a=%v))"
"Mit Mustervergleich"        	  "(%a~=%v)"
"beginnt mit"                   "(%a=%v*)"
"endet mit"                     "(%a=*%v)"
"enthält"             	  "(%a=*%v*)"
END

Auth
internal
"Beglaubigen als:"
"(&(objectClass=person)"
"dsgw-people"
not-used-by-dsgw
not-used-by-dsgw
subtree
"Allg. Name:"                   cn                 111111  ""  ""
"Vorname"                       sn                 111111  ""  ""
"Telefon"                 	 "telephoneNumber"  111011  ""  ""
"E-Mail-Adresse"                "mail"             111111  ""  ""
"Benutzer-ID:"               	  "uid"              111111  ""  ""
"Titel"                         title              111111 "" ""
END
"ist"               		"(%a=%v))"
"ist nicht"                	"(!(%a=%v)))"
"Mit Mustervergleich" 		  "(%a~=%v))"
"beginnt mit"                   "(%a=%v*))"
"endet mit"                     "(%a=*%v))"
"enthält"              	  "(%a=*%v*))"
END

